# opentracker

*[opentracker][opentracker]* is an open and free [bittorrent][torrent] tracker
project. It aims for minimal resource usage and is intended to run at your wlan
router. Currently it is deployed as an open and free tracker instance. Read our
free and open tracker blog and announce your torrents there *(but do not
hesitate to setup your own free trackers!)*.

This is a dockerized version of this software made by [erdgeist][erdgeist].

## Usage
The easiest method is to use the *ready-to-use* image from dockerhub, using
`docker compose`. Create a file called `docker-compose.yml` and add the
following content:

```yaml
services:
  opentracker:
    container_name: opentracker
    image: mikognn/opentracker
    ports:
      - 6969:6969
    volumes:
      - ./config:/config
```

then create a `config` directory in the same folder as the `.yml` file and add
the `opentracker.conf`. You can find a fully fletched *(and documented)* version
of it in the [`opentracker.conf.sample`][config] file.

### Build it yourself
You can also clone my [repo][repo] and run `docker compose up` from within. This
will build the container on your machine.

Just run
```bash
	git clone --recursive https://git.mike-ochmann.de/miko/opentracker.git
	cd opentracker
	cp config/opentracker.conf.sample config/opentracker.conf
	sudo docker compose up -d
```

## License
The license is not really clear to me. It may be GPL or "beer ware license" or
a combination of both. I will not really give any license information because
of that.

[torrent]: http://wiki.theory.org/BitTorrentSpecification
[erdgeist]: https://erdgeist.org/about/
[opentracker]: https://erdgeist.org/arts/software/opentracker/
[config]: https://erdgeist.org/gitweb/opentracker/plain/opentracker.conf.sample
[repo]: https://git.mike-ochmann.de/miko/opentracker